<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from sudoku_visiblefrom2.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="sudoku_visiblefrom2" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>sudoku_visiblefrom2</refname><refpurpose>Compute the cells visible from both cell a and b.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   V = sudoku_isvisiblefrom2 ( a , b )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>a:</term>
      <listitem><para> a 1x2 matrix, where a(1) is a row index and a(2) is a column index</para></listitem></varlistentry>
   <varlistentry><term>b:</term>
      <listitem><para> a 1x2 matrix, where b(1) is a row index and b(2) is a column index</para></listitem></varlistentry>
   <varlistentry><term>V:</term>
      <listitem><para> a 9x9 boolean matrix. V(i,j) is true if the cell (i,j) is visible from both cell a and cell b.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Returns the matrix of cells which are visible from both the cells
a and b. The cell p is visible from both cell a and b if :
* a and b are in the same row and p is on this row,
* a and b are in the same column and p is on this column,
* p in the same row as a and on the same column as b,
* p in the same column as a and on the same row as b,
* p in the same box as a and on the same row as b,
* p in the same box as a and on the same column as b,
* p in the same row as a and on the same box as b,
* p in the same column as a and on the same box as b,
* p in the same box as a and b.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[

V = sudoku_visiblefrom ( [1 2] , [2 3] ); sudoku_print(V)

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin, 2010-2011</member>
   </simplelist>
</refsection>
</refentry>
